---
title: Approve
url: https://www.tines.com/docs/api/stories/change-control/approve/
updated: 2026-01-22T16:03:37+00:00
description: Approve a change request.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Change request](https://www.tines.com/llm/docs/api/stories/change-control.md)*

# Approve

*[View on tines.com](https://www.tines.com/docs/api/stories/change-control/approve/)*

## Description

Approve a change request.

## Request

HTTP Method: **POST**

| Query Parameter   | Description                  |
| ----------------- | ---------------------------- |
| change_request_id | The ID of the change request |

| Path Parameter | Description          |
| -------------- | -------------------- |
| story_id       | The ID of the story. |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v1/stories/<<story_id>>/change_request/approve  \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "change_request_id": "<<change_request_id>>"
      }'
```

## Response

A successful request will return a JSON object with the status of the change request

### Field description

| Parameter      | Description                                                                                                                                                                                                                  |
| -------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| draft_id       | ID of the draft containing the change request.                                                                                                                                                                               |
| draft_name     | Name of the draft containing the change request                                                                                                                                                                              |
| id             | The live story ID.                                                                                                                                                                                                           |
| change_request | The change request. This contains `id`, the ID of the request, `status`, the status of the request which is one of "PENDING" or "APPROVED", and `participants`, an array of user IDs that made changes in the change request |

### Sample response

<!-- cspell:disable -->

```json
{
  "draft_id": 1234,
  "draft_name": "Initial draft",
  "change_request": {
    "id": 15,
    "status": "APPROVED",
    "participants": [1, 2, 3]
  },
  "id": 154
}
```

<!-- cspell:enable -->
